# SOR25 - Consume an order

DescriptionConsumer an order in ORDER_PENDING state
Call FrequencyRecommended usage: At each customer service consumption confirmationMaximum usage: At each customer service consumption confirmation

Endpoint: PUT /api/mms/orders/{order_id}/consume

## Path parameters:

  - `order_id` (string, required)
    The identifier of the order to be consumed.

## Query parameters:

  - `shop_id` (integer)
    Use this parameter when your user has access to several shops. If not specified, the shop_id from your default shop will be used.

## Request fields (application/json):

  - `date_consumed` (string)
    Service consumption date. Required only when the Order consumption must be confirmed by Shop

  - `voucher_code` (string)
    Service voucher code. Required only when the Order consumption requires a voucher

## Request examples:

  - `Consume a voucher` (unknown)

  - `Mark the service as provided` (unknown)

  - `Complete example with value types (application/json)` (unknown)

## Response 204:

  - `204` (unknown)
    No Content

